<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Library Management System</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css">
    <!-- <link href="https://fonts.googleapis.com/css?family=Orbitron" rel="stylesheet" /> -->
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.js"></script>
</head>

<body style="background-color: #00DBDE; background-image: linear-gradient(45deg, #00DBDE 0%, #FC00FF 100%);">

    <nav class="bg-white border-gray-200 px-2 sm:px-4 py-2.5 dark:bg-silver-800">
        <div class="container flex flex-wrap justify-between items-center mx-auto">
            <a href="http://127.0.0.1:5000/#" class="flex items-center">
                <img src="/static/logo.svg" class="mr-3 h-6 sm:h-9" alt="Library Management System">
                <span class="self-center text-xl font-semibold whitespace-nowrap dark:text-black">Library Management
                    System</span>
            </a>
            <button data-collapse-toggle="mobile-menu" type="button"
                class="inline-flex items-center p-2 ml-3 text-sm text-gray-500 rounded-lg md:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600"
                aria-controls="mobile-menu" aria-expanded="false">
                <span class="sr-only">Open main menu</span>
                <svg class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 15a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z"
                        clip-rule="evenodd"></path>
                </svg>
                <svg class="hidden w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                        clip-rule="evenodd"></path>
                </svg>
            </button>
            <div class="hidden w-full md:block md:w-auto" id="mobile-menu">
                <ul class="flex flex-col mt-4 md:flex-row md:space-x-8 md:mt-0 md:text-sm md:font-medium">
                    <li>
                        <a href="#"
                            class="block py-2 pr-4 pl-3 text-white bg-blue-700 rounded md:bg-transparent md:text-blue-700 md:p-0 dark:text-white"
                            aria-current="page">Home</a>
                    </li>
                    <li>
                        <a href="/books"
                            class="block py-2 pr-4 pl-3 text-white bg-blue-700 rounded md:bg-transparent md:text-blue-700 md:p-0 dark:text-white"
                            aria-current="page">Catalouge</a>
                    </li>
                    <li>
                        <a href="/readers"
                            class="block py-2 pr-4 pl-3 text-white bg-blue-700 rounded md:bg-transparent md:text-blue-700 md:p-0 dark:text-white"
                            aria-current="page">Customers</a>
                    </li>
                    <li>
                        <a href="#"
                            class="block py-2 pr-4 pl-3 text-gray-700 border-b border-gray-100 hover:bg-gray-50 md:hover:bg-transparent md:border-0 md:hover:text-blue-700 md:p-0 dark:text-gray-400 md:dark:hover:text-white dark:hover:bg-gray-700 dark:hover:text-white md:dark:hover:bg-transparent dark:border-gray-700">About</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>


    <div style="margin-top: 50px;" class="ui container">
        <!-- <h1 style="font-family: 'Orbitron'; text-shadow: black ; color: black;" class="ui center aligned header">Library Management System</h1> -->

        <form class="ui form" action="/add" method="post">
            <div class="field">
                <label>Transaction Report</label>
                <input type="text" name="title" placeholder="Enter Record..."><br>
            </div>
            <button class="ui blue button" type="submit">Add</button>
        </form>

        <hr>

        {% for report in report_rec %}
        <div class="ui segment">
            <table style="border-collapse: collapse; width: 100%;">
                <tr>
                    <th style="border: 1px solid #999; padding: 0.5rem; text-align: center;">Transaction ID</th>
                    <th style="border: 1px solid #999; padding: 0.5rem; text-align: center;">Book ID</th>
                    <th style="border: 1px solid #999; padding: 0.5rem; text-align: center;">Issue Date</th>
                    <th style="border: 1px solid #999; padding: 0.5rem; text-align: center;">Return Date</th>
                </tr>
                <tr>
                    <td style="border: 1px solid #999; padding: 0.5rem; text-align: center;">{{ report.rid }}</td>
                    <td style="border: 1px solid #999; padding: 0.5rem; text-align: center;">{{ report.bid }}</td>
                    <td style="border: 1px solid #999; padding: 0.5rem; text-align: center;">{{ report.issue }}</td>
                    <td style="border: 1px solid #999; padding: 0.5rem; text-align: center;">{{ report.retr }}</td>
                </tr>
                <tr>
                    <a class="ui blue button" href="/update/{{ report.rid }}">Update</a>
                    <a class="ui red button" href="/delete/{{ report.rid }}">Delete</a>
                </tr>
            </table>


            <!-- <p class="ui big header">{{report.rid }} | {{ report.bid }} | {{ report.issue }} | {{ report.retr }}</p>

            <a class="ui blue button" href="/update/{{ report.rid }}">Update</a>
            <a class="ui red button" href="/delete/{{ report.rid }}">Delete</a> -->
        </div>
        {% endfor %}
    </div>
</body>

</html>